use lotus_rs::{client::LotusClient, config::LotusConfig};

pub fn setup_client() -> LotusClient {
    // let host_url = "https://api.node.glif.io/rpc/v0".to_string();
    let host_url = "https://miner1-altnet.filmine.dev/rpc/v0".to_string();
    let _token = Some("eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJBbGxvdyI6WyJyZWFkIiwid3JpdGUiLCJzaWduIiwiYWRtaW4iXX0.R6dXoVtsuLJYOIM1gOB-NgyWX5kXTdOv598CSURs36Q".to_string());

    LotusClient::init(LotusConfig::new(host_url, None, None))
}
